Subject: Re: rm -R reports "circular reference"
From: [email-masked] (Robert Seeger)

19 Mar 1998 07:24:06 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked] (raf), [email-masked]

If I recall correctly, it works like this. There is no real inode number.
Thus, to simulate one, gnu-win32 uses the name of the dir (not full path,
just that dir). Thus, if you have the following directory structure:

	/somedir/xxx/yyy/xxx/zzz

There will be a problem if you are in /somedir and try to do a rm -r. When
it finds xxx in xxx, it thinks they are the same dir. Thus, you would have to:

	cd /somedir/xxx/yyy
	rm -r xxx
	cd /somedir
	rm -r xxx

Hope this helps,
Robert Seeger

PS: You could just remove the dir structure from windows. It's what I
always wind up doing, since it's easier.

At 06:26 PM 3/16/98 +1100, raf wrote:
>Weiqi Gao wrote:
>>I encountered an error while trying to "rm -R" a directory tree.  rm
>>reports "circular reference" in the directory structure.
>
>>I seem to remember seeing such errors being discussed, but couldn't find
>>the details of when such error would occur.
>
>>BTW.  The directory tree I tried to delete was the one created by "MS
>>Media Manager" from the MS Visual Studio 97 Enterprise Edition.
>
>is is on a FAT filesystem?
>i think filesystem corruption
>is one of its specialities :)
>
>seriously though, can't help here
>except to say your filesystem may
>be corrupt and need repair.
>
>
>raf
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
========================================
Robert Seeger
Network Engineer
Bay Networks

Telephone:	(518)237-2087
Pager:		(800)SKY-8888  Pin#1264792
Fax:		(518)237-4190
Email:		[email-masked]
Address:	224 5th Ave, Apt#2
		Lansingburgh, NY 12182
========================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".